summaryrefslogtreecommitdiffstats
path: root/libraries/libgnomeprint
diff options
context:
space:
mode:
author Robby Workman2010-05-20 07:35:59 +0200
committer Robby Workman2010-05-21 08:09:08 +0200
commit3f674b960ff93bc58ad3f3fd1d2982359fcc5bcd (patch)
treee5b38645e17bc0200f9bede6c985d494bae67847 /libraries/libgnomeprint
parent4d5ee8b4627179f722262dfacc9f8ce972d0b88e (diff)
downloadslackbuilds-3f674b960ff93bc58ad3f3fd1d2982359fcc5bcd.tar.gz
Revert "libraries/libgnomeprint: Removed (no maintainer)"
This reverts commit 85e57dd9469c312678f20d2fe775821562e39b68. As it turns out, we need this for a few things, so someone will have to step up and maintain it. I suspect I'll end up being "someone" today :-)
Diffstat (limited to 'libraries/libgnomeprint')
-rw-r--r--libraries/libgnomeprint/README6
-rw-r--r--libraries/libgnomeprint/libgnomeprint.SlackBuild88
-rw-r--r--libraries/libgnomeprint/libgnomeprint.info10
-rw-r--r--libraries/libgnomeprint/slack-desc19
4 files changed, 123 insertions, 0 deletions
diff --git a/libraries/libgnomeprint/README b/libraries/libgnomeprint/README
new file mode 100644
index 0000000000..151f8acbb2
--- /dev/null
+++ b/libraries/libgnomeprint/README
@@ -0,0 +1,6 @@
+The Gnome Printing Library
+
+This is an implementation of the Gnome Printing Architecture
+as described at: http://www.levien.com/gnome/print-arch.html
+
+Requires libgnomecups which is also available from slackbuilds.org
diff --git a/libraries/libgnomeprint/libgnomeprint.SlackBuild b/libraries/libgnomeprint/libgnomeprint.SlackBuild
new file mode 100644
index 0000000000..04dfe8605a
--- /dev/null
+++ b/libraries/libgnomeprint/libgnomeprint.SlackBuild
@@ -0,0 +1,88 @@
+#!/bin/sh
+
+# Slackware build script for libgnomeprint
+
+# Copyright 2007 Martin Lefebvre <dadexter@sekurity.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Modified by the SlackBuilds.org project
+
+PRGNAM=libgnomeprint
+VERSION=2.18.6
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "s390" ]; then
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP || exit 1
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2 || exit 1
+cd $PRGNAM-$VERSION || exit 1
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --enable-static=no \
+ --build=$ARCH-slackware-linux \
+ || exit 1
+
+make || exit 1
+make install-strip DESTDIR=$PKG || exit 1
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS BUGS COPYING* ChangeLog INSTALL NEWS README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+( cd $PKG/usr/doc/$PRGNAM-$VERSION
+ ln -s ../../share/gtk-doc/html/libgnomeprint html
+)
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/libgnomeprint/libgnomeprint.info b/libraries/libgnomeprint/libgnomeprint.info
new file mode 100644
index 0000000000..3db39bbe73
--- /dev/null
+++ b/libraries/libgnomeprint/libgnomeprint.info
@@ -0,0 +1,10 @@
+PRGNAM="libgnomeprint"
+VERSION="2.18.6"
+HOMEPAGE="http://www.gnome.org"
+DOWNLOAD="http://ftp.gnome.org/pub/gnome/sources/libgnomeprint/2.18/libgnomeprint-2.18.6.tar.bz2"
+MD5SUM="a5aa248058a07de4b3cf444673cfc683"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="nobody"
+EMAIL="nobody"
+APPROVED="rworkman"
diff --git a/libraries/libgnomeprint/slack-desc b/libraries/libgnomeprint/slack-desc
new file mode 100644
index 0000000000..81756b1c83
--- /dev/null
+++ b/libraries/libgnomeprint/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+libgnomeprint: libgnomeprint (The Gnome Printing Library)
+libgnomeprint:
+libgnomeprint: This is an implementation of the Gnome Printing Architecture
+libgnomeprint: as described at: http://www.levien.com/gnome/print-arch.html
+libgnomeprint:
+libgnomeprint:
+libgnomeprint:
+libgnomeprint:
+libgnomeprint:
+libgnomeprint:
+libgnomeprint: